Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_types.h

Go to the documentation of this file.

    00001 // -*- c++ -*-
    00002 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00003
    00004 //       O S C L _ T Y P E S   ( B A S I C   T Y P E D E F S )
    00005
    00006 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00007
    00019 #ifndef OSCL_TYPES_H_INCLUDED
    00020 #define OSCL_TYPES_H_INCLUDED
    00021
    00022
    00023 // include the config header for the platform
    00024 #ifndef OSCLCONFIG_H_INCLUDED
    00025 #include "osclconfig.h"
    00026 #endif
    00027
    00029 typedef int c_bool;
    00030
    00031
    00033 typedef void OsclAny;
    00034
    00036 typedef char mbchar;
    00037
    00039 #if !defined(__USE_MISC)
    00040 // uint is defined in some Linux platform sys\types.h
    00041 typedef unsigned int uint;
    00042 #endif
    00043
    00045 typedef uint8 octet;
    00046
    00048 typedef float OsclFloat;
    00049
    00050 #ifndef OSCL_INT64_TYPES_DEFINED
    00051 //use native type
    00052 typedef OSCL_NATIVE_INT64_TYPE int64;
    00053 //use native type
    00054 typedef OSCL_NATIVE_UINT64_TYPE uint64;
    00055 #define OSCL_INT64_TYPES_DEFINED
    00056 #endif
    00057
    00058 // define OSCL_WCHAR
    00059 typedef OSCL_NATIVE_WCHAR_TYPE oscl_wchar;
    00060
    00062 typedef oscl_wchar OSCL_TCHAR;
    00063
    00064 // The definition of the MemoryFragment will probably
    00065 // be OS-dependant since the goal is to allow this data
    00066 // structure to be passed directly to I/O routines that take
    00067 // scatter/gather arrays.
    00068 #if ( OSCL_MEMFRAG_PTR_BEFORE_LEN )
    00069
    00070 struct OsclMemoryFragment
    00071 {
    00072     void *ptr;
    00073     uint32 len;
    00074 };
    00075
    00076 #else
    00077 struct OsclMemoryFragment
    00078 {
    00079     uint32 len;
    00080     void *ptr;
    00081 };
    00082 #endif
    00083
    00084
    00088 #endif  // OSCL_TYPES_H_INCLUDED